package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.wx.AppletLoginForm;
import com.ruoyi.system.domain.wx.AppletSessionDTO;
import com.ruoyi.system.domain.wx.WxPayOrderReqVo;
import com.wechat.pay.java.service.partnerpayments.jsapi.model.Transaction;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: tjf
 * @Date: 2024/1/17 14:15
 * @Describe:
 */
public interface IWxPayService {
    /**
     * 创建微信预支付订单
     * @param req
     * @return
     */
    AjaxResult createOrder(WxPayOrderReqVo req) throws Exception;;
    /**
     * 支付后回调地址
     * @param request
     * @return
     */
    void payNotify(HttpServletRequest request);

    void TemplateMessage(Transaction parse);

    AppletSessionDTO jscode2Session(AppletLoginForm form);

    /**
     * 根获取微信文本内容安全识别
     *
     * @return
     */
    AjaxResult msgSecCheck(AppletSessionDTO dto);


}
