package com.ruoyi.commodity.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品信息对象 doumu_commodity_info
 * 
 * @author boman
 * @date 2024-01-26
 */
public class DoumuCommodityInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商品信息编号 */
    private Long commodityId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String commodityName;

    /** 商品金额 */
    @Excel(name = "商品金额")
    private String commodityAmount;
    /**
     * 运行时间
     */
    private String commodityTime;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String commodityUrl;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String hardwareNum;

    /** 排序 */
    @Excel(name = "排序")
    private Long orders;

    public String getCommodityTime() {
        return commodityTime;
    }

    public void setCommodityTime(String commodityTime) {
        this.commodityTime = commodityTime;
    }

    public void setCommodityId(Long commodityId)
    {
        this.commodityId = commodityId;
    }

    public Long getCommodityId() 
    {
        return commodityId;
    }
    public void setCommodityName(String commodityName) 
    {
        this.commodityName = commodityName;
    }

    public String getCommodityName() 
    {
        return commodityName;
    }
    public void setCommodityAmount(String commodityAmount) 
    {
        this.commodityAmount = commodityAmount;
    }

    public String getCommodityAmount() 
    {
        return commodityAmount;
    }
    public void setCommodityUrl(String commodityUrl) 
    {
        this.commodityUrl = commodityUrl;
    }

    public String getCommodityUrl() 
    {
        return commodityUrl;
    }
    public void setHardwareNum(String hardwareNum) 
    {
        this.hardwareNum = hardwareNum;
    }

    public String getHardwareNum() 
    {
        return hardwareNum;
    }
    public void setOrders(Long orders) 
    {
        this.orders = orders;
    }

    public Long getOrders() 
    {
        return orders;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("commodityId", getCommodityId())
            .append("commodityName", getCommodityName())
            .append("commodityAmount", getCommodityAmount())
            .append("commodityUrl", getCommodityUrl())
            .append("hardwareNum", getHardwareNum())
            .append("orders", getOrders())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
